読者です 読者をやめる 読者になる 読者になる

studylog/北の雲

chainer/python/nlp

Mac10.7にMongoDB3.0はインストールできない?

Install MongoDB on OS X — MongoDB Manual 3.0.4によると、

PLATFORM SUPPORT
Starting in version 3.0, MongoDB only supports OS X versions 10.7 (Lion) on Intel x86-64 and later.

とあって10.7はインストールできるように見える。
 
しかしいざソースから入れて見るとIllegal Instruction: 4頻発。
入れ方間違ったかなとbrewで入れようとすると10.8以降じゃないとダメって言われる。
 
もう10.7は厳しいなあ…
新しめのアプリもたいてい10.8以降じゃないと対応してないし。
アップグレードしたいのはやまやまなんだけど謎のエラーで上げられなくて詰んでる。